// Jupiter suns
// Made by JackDole
// 2016.04.22 09:07:31

Star "Jusol III"
{
    ParentBody      "Sun"
    Class           "M2 V"
    Luminosity      0.1
    MassSol         1.6157641128019e-05
    RadSol          0.0646305645120751438
    
    Oblateness      0.95
    
    RotationPeriod  0.0166667
    RotationOffset  0
    Obliquity       90
    EqAscendNode    124.404

    Precession      11.8622

    NoCorona        true
    NoLighting      true
    
    Orbit
    {
        Epoch          2451545
        RefPlane      "Ecliptic"
        SemiMajorAxis  5.5585387780762
        Period         11.8622
        Eccentricity   0.0484
        Inclination    1.3053
        AscendingNode  100.556
        LongOfPericen  14.7539
        MeanLongitude  34.404
    }
}

Asteroid"Jupiter-L2"
{
    ParentBody      "Sun"
    Class       "Asteroid"
    Radius      50000
    Mass        0.001

    Oblateness  0.9
    
    RotationPeriod  0.0166667
    RotationOffset  0
    Obliquity       90
    EqAscendNode    124.404

    Precession      11.8622

    Surface
    {
        DiffMapAlpha    "Transp"
        DiffMap         "Gate/WHRingHoles#2.*"
        BumpMap         "Gate/WHRingsBump.*"
        BumpHeight      20.0
        BumpOffset      10.0
        GlowMap         "Gate/WHLights.*"
        GlowMode        "Night"
        GlowColor       (1.00 1.00 1.00)
        GlowBright      2.5
    }
    
    Clouds
    {
        DiffMapAlpha    "Transp"
        DiffMap         "Gate/Blue.*"
        GlowMap         "Gate/Blue.*"
        GlowMode        "Night"
        GlowColor       (1.00 1.00 1.00)
        GlowBright      2.5
        Height          -1.0
        Velocity        0.0
    }

    Clouds
    {
        DiffMapAlpha    "Transp"
        DiffMap         "Gate/Blue.*"
        GlowMap         "Gate/Blue.*"
        GlowMode        "Night"
        GlowColor       (1.00 1.00 1.00)
        GlowBright      2.5
        Height          -1.0
        Velocity        0.0
    }

    Clouds
    {
        DiffMapAlpha    "Transp"
        DiffMap         "Gate/WHRing.*"
        BumpMap         "Gate/WHRingsBump.*"
        BumpHeight      20.0
        BumpOffset      10.0
        Height          -3.0
        Velocity        0.0
    }
    
    Clouds
    {
        DiffMapAlpha    "Transp"
        DiffMap         "Gate/ShaderCollector.*"
        BumpMap         "Gate/ShaderCollectorBump.*"
        //DiffMap         "Gate/WHWaves5.*"
        //BumpMap         "Gate/WHWavesBump.*"
        BumpHeight      20.0
        BumpOffset      10.0
        GlowMap         "Gate/ShaderCollector.*"
        GlowMode        "Night"
        GlowColor       (1.00 1.00 1.00)
        GlowBright      2.5
        Exposure        2
        Height          -5.0
        Velocity        63.4921
    }

    NoOcean         true
    NoLava          true
    NoAtmosphere    false
    
    Atmosphere
    {
        Model          "Sun"
        Height          1000
        Density         1
        Pressure        1
        Bright          10
        Opacity         1
        SkyLight        10
        Hue             0
        Saturation      2

        Composition
        {
            He  100
        }
    }

    NoAurora        true
    NoRings         true
    NoAccretionDisk true
    NoCometTail     true

    Orbit
    {
        Epoch          2451545
        RefPlane      "Ecliptic"
        SemiMajorAxis  5.5585387780762
        Period         11.8622
        Eccentricity   0.0484
        Inclination    1.3053
        AscendingNode  100.556
        LongOfPericen  14.7539
        MeanLongitude  34.404
    }
}
//------------------------------------------------------------------------------

